%define version	0.16
%define rel	1
%define prerel	0

%if %{prerel}
%define release %mkrel -c %prerel %rel
%define srcname %{name}-%{version}%{prerel}
%else
%define release %mkrel %rel
%define srcname %{name}-%{version}
%endif

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	%version
Release:	%release
Url:		http://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{srcname}.tar.gz
# Plugins:
Source1:	http://users.musicbrainz.org/~luks/picard-plugins/classicdiscnumber.py
Source2:	http://users.musicbrainz.org/~luks/picard-plugins/coverart.py
Source3:	http://users.musicbrainz.org/~luks/picard-plugins/cuesheet.py
Source4:	http://users.musicbrainz.org/~luks/picard-plugins/discnumber.py
Source5:	http://users.musicbrainz.org/~luks/picard-plugins/featartist.py
Source6:	http://users.musicbrainz.org/~luks/picard-plugins/open_in_gui.py
Source7:	http://users.musicbrainz.org/~luks/picard-plugins/swapprefix.py
Source8:	http://users.musicbrainz.org/~luks/picard-plugins/titlecase.py
Source9:	http://users.musicbrainz.org/~luks/picard-plugins/tracks2clipboard.py
# lastfm plugin
Source10:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/lastfm__init__.py
Source11:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/options_lastfm.ui
Source12:	http://users.musicbrainz.org/~luks/picard-plugins/lastfm/ui_options_lastfm.py
# replaygain plugin
Source13:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/__init__.py
Source14:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/options_replaygain.ui
Source15:	http://users.musicbrainz.org/~luks/picard-plugins/replaygain/ui_options_replaygain.py

Patch0:		picard-0.14-fix-link-avutil.patch
License:	GPLv2+
Group:		Sound
BuildRequires:	python-devel
BuildRequires:	mutagen
BuildRequires:	libdiscid-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libofa-devel
Requires:	mutagen
Requires:	python-qt4
Requires:	%{mklibname discid 0}

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%setup -q -n %{srcname}
%apply_patches

%build
python setup.py config
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

PLUGINDIR=%{buildroot}%{python_sitearch}/picard/plugins/
install -m 0644 %{SOURCE1} ${PLUGINDIR}
install -m 0644 %{SOURCE2} ${PLUGINDIR}
install -m 0644 %{SOURCE3} ${PLUGINDIR}
install -m 0644 %{SOURCE4} ${PLUGINDIR}
install -m 0644 %{SOURCE5} ${PLUGINDIR}
install -m 0644 %{SOURCE6} ${PLUGINDIR}
install -m 0644 %{SOURCE7} ${PLUGINDIR}
install -m 0644 %{SOURCE8} ${PLUGINDIR}
install -m 0644 %{SOURCE9} ${PLUGINDIR}
mkdir -p ${PLUGINDIR}/lastfm
install -m 0644 %{SOURCE10} ${PLUGINDIR}/lastfm/__init__.py
install -m 0644 %{SOURCE11} ${PLUGINDIR}/lastfm/
install -m 0644 %{SOURCE12} ${PLUGINDIR}/lastfm/
mkdir -p ${PLUGINDIR}/replaygain
install -m 0644 %{SOURCE13} ${PLUGINDIR}/replaygain/__init__.py
install -m 0644 %{SOURCE14} ${PLUGINDIR}/replaygain/
install -m 0644 %{SOURCE15} ${PLUGINDIR}/replaygain/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS.txt COPYING.txt INSTALL.txt NEWS.txt
%{_bindir}/%{name}
%{python_sitearch}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Mon Nov 28 2011 pterjan <pterjan> 0.16-1.mga2
+ Revision: 173968
- Update to 0.16

* Sat Jun 25 2011 fwang <fwang> 0.15-0.beta2.2.mga2
+ Revision: 113491
- fix build with new ffmpeg
- rebuil dfor new ffmpeg

* Thu Jun 16 2011 ahmad <ahmad> 0.15-0.beta2.1.mga2
+ Revision: 108040
- imported package picard

